Bug 209485 - JRockit's MBeanAttributeInfo.isIs returns an incorrect value
JRockit's MBeanAttributeInfo.isIs returns an incorrect value
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.5.0-bea (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 11:53 EDT by Len DiMaggio
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-9040
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 15:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case that demonstrates a JRockit bug (2.29 KB, text/x-java)
2006-12-18 11:15 EST, Thomas Fitzsimmons
no flags Details

  None (edit)
Description Len DiMaggio 2006-10-05 11:53:19 EDT
Description of problem:
This is a tracker bug for: http://jira.jboss.com/jira/browse/JBAS-3746

org.jboss.test.jbossmx.compliance.standard.InfoTortureTestCase.testValidAttribute
fails with JVM = R26.4.0-63_CR284516-68626-1.5.0_06-20060926-0859-linux-x86_64 

Version-Release number of selected component (if applicable):
JBossAS 4.0.5 test suite

How reproducible:
100%

Steps to Reproduce:
1. The failure is seen if the test is run as a one-test or as part of the
JBossAS test suite. 
  
Actual results:
The error returned is:

InfoTortureSUITE attribute:
org.jboss.test.jbossmx.compliance.standard.support.Torture: NiceBoolean isIS
expected:<true> but was:<false>

junit.framework.AssertionFailedError: InfoTortureSUITE attribute:
org.jboss.test.jbossmx.compliance.standard.support.Torture: NiceBoolean isIS
expected:<true> but was:<false>
at
org.jboss.test.jbossmx.compliance.standard.AttributeInfoTEST.testValidAttribute(AttributeInfoTEST.java:65)
at
jrockit.reflect.VirtualNativeMethodInvoker.invoke(Ljava.lang.Object;[Ljava.lang.Object;)Ljava.lang.Object;(Unknown
Source) 

Expected results:
The test should pass

Additional info:
OS/Kernel/Arch = RHEL4/U4 - Linux 2.6.9-42.0.2.ELsmp #1 SMP Thu Aug 17 17:57:31
EDT 2006 x86_64 x86_64 x86_64 GNU/Linux
JVM = R26.4.0-63_CR284516-68626-1.5.0_06-20060926-0859-linux-x86_64
JBossAS = 20091002 Branch_4_0 of JBoss AS,
http://anonsvn.jboss.org/repos/jbossas/branches/Branch_4_0
Comment 1 Len DiMaggio 2006-10-05 13:57:15 EDT
From the JIRA:

Dimitris Andreadis updated JBAS-3746:
-------------------------------------

    Fix Version/s: JBossAS-4.0.6.CR1
Comment 2 Len DiMaggio 2006-12-18 09:10:10 EST
Determined to be a JVM bug - for details see: 
http://jira.jboss.com/jira/browse/JBAS-3746

Need to forward to BEA support.
Comment 3 Thomas Fitzsimmons 2006-12-18 11:15:50 EST
Created attachment 143906 [details]
test case that demonstrates a JRockit bug
Comment 4 Thomas Fitzsimmons 2006-12-18 11:21:34 EST
Attached the standalone testcase from JBoss JIRA.  Updating summary.
Comment 5 Thomas Fitzsimmons 2006-12-18 11:26:11 EST
Johan, do you know if this issue will be fixed by the pending R27.1 release?
Comment 6 Johan Walles 2006-12-18 11:34:47 EST
Just tried the repro case with a recent build of R27.1, and it passed.  So yes,
this will be fixed by the pending R27.1 release.
Comment 7 Thomas Fitzsimmons 2006-12-18 11:53:02 EST
Changing component.
Comment 8 Thomas Fitzsimmons 2007-01-05 14:18:32 EST
I built java-1.5.0-bea-1.5.0.08-1jpp.3.el4, which resolves this issue, into
dist-4E-lacd-qu-candidate.
Comment 9 RHEL Product and Program Management 2007-01-05 15:43:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 15 Red Hat Bugzilla 2007-01-24 15:39:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-9040.html

Note You need to log in before you can comment on or make changes to this bug.